@echo off
REM -- First make map file from Microsoft Visual C++ generated resource.h
echo // MAKEHELP.BAT generated Help Map file.  Used by SXBMEM.HPJ. >hlp\sxbmem.hm
echo. >>hlp\sxbmem.hm
echo // Commands (ID_* and IDM_*) >>hlp\sxbmem.hm
makehm ID_,HID_,0x10000 IDM_,HIDM_,0x10000 resource.h >>hlp\sxbmem.hm
echo. >>hlp\sxbmem.hm
echo // Prompts (IDP_*) >>hlp\sxbmem.hm
makehm IDP_,HIDP_,0x30000 resource.h >>hlp\sxbmem.hm
echo. >>hlp\sxbmem.hm
echo // Resources (IDR_*) >>hlp\sxbmem.hm
makehm IDR_,HIDR_,0x20000 resource.h >>hlp\sxbmem.hm
echo. >>hlp\sxbmem.hm
echo // Dialogs (IDD_*) >>hlp\sxbmem.hm
makehm IDD_,HIDD_,0x20000 resource.h >>hlp\sxbmem.hm
echo. >>hlp\sxbmem.hm
echo // Frame Controls (IDW_*) >>hlp\sxbmem.hm
makehm IDW_,HIDW_,0x50000 resource.h >>hlp\sxbmem.hm
REM -- Make help for Project SXBMEM

echo Building Win32 Help files
call hc31 sxbmem.hpj
if exist windebug copy sxbmem.hlp windebug
if exist winrel copy sxbmem.hlp winrel
EndLocal
